<?php
	// module: bx_slider_in
	if (OOAddon::isAvailable('bx_slider')) { 
		
		// Search for slide modules
		$hasSlides = FALSE;
		$slices = OOArticleSlice::getSlicesForArticle('REX_ARTICLE_ID', 'REX_CLANG_ID');
		if ($slices) {
			if (is_array($slices) === FALSE) {
				$slices = array($slices);
			}
			foreach($slices as $slice) {
				if ($slice->getValue(20) === 'module: bx_slider_slide') {
					$hasSlides = TRUE;
					break;
				}
			}
		}
		unset($slices);
?>
	<style>
		.inline-label {
			display: inline-block !important;
			width: 210px !important;
			margin-bottom: 5px;
		}
		.spacer {
			clear: both;
			margin-top: 1em;
			padding-top: 1em;
			border-top: 1px solid lightgrey;
		}
		.code {
			font-family: 'courier', monospace, mono;
			font-weight: bold;
			font-size: 13px;
		}
		.hidden {
			display: none;
		}
		.bx-slider select,
		.bx-slider input[type=text],
		.bx-slider input[type=number] {
			width: 150px !important;
		}
	</style>
	<div class="bx-slider">
		<?php 
			// Images Perm
			if (($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[images]') === TRUE) && 'REX_VALUE[18]' !== 'module') {
				$checked = 'checked';
				$display = 'block';
			} else {
				$checked = '';
				$display = 'none';
			}
			$labelDisplay = (($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[images]') === TRUE) ? 'block' : 'none');
		?>
		<label style="display:<?php echo $labelDisplay ?>;">
			<input type="radio" name="VALUE[18]" value="images" class="bx-slide-toggle" <?php echo $checked ?>> 
			<strong>Slideshow über Bildauswahl</strong>
		</label>
		<div class="bx-slide-container" style="padding-left:16px;display:<?php echo $display ?>">
			<br>
			<strong>Bilder auswählen</strong><br>
			REX_MEDIALIST_BUTTON[id=1 types=jpg]
			
			<?php 
				$display = ($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[imagedimensions]') === TRUE) ? 'block' : 'none';
			?>
			<div style="display:<?php echo $display ?>">
				<p class="spacer"></p>
				<h3>Bilder-Dimensionen</h3>
				<p>
					<label class="inline-label" for="resizeImages">Bilder skalieren</label>
					<input type="checkbox" id="resizeImages" name="VALUE[1]" value="true" <?php echo (('REX_VALUE[1]' === 'true') ? 'checked="checked"' : '') ?>> 
					(nicht in Verbindung mit Responsive)
				</p>
				<p>
					<label class="inline-label" for="resizeWidth">auf max. Breite</label>
					<input type="number" id="resizeWidth" name="VALUE[2]" value="<?php echo intval('REX_VALUE[2]') ?>" min="0"> px
				</p>
				<p>
					<label class="inline-label" for="resizeHeight">auf max. Höhe</label>
					<input type="number" id="resizeWidth" name="VALUE[3]" value="<?php echo intval('REX_VALUE[3]') ?>" min="0"> px
				</p>
			</div>
		</div>
		<p class="spacer"></p>
		
		<?php 
			// Module Perm
			if (($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[module]') === TRUE) && 'REX_VALUE[18]' === 'module') {
				$checked = 'checked';
				$display = 'block';
			} else {
				$checked = '';
				$display = 'none';
			}
			$labelDisplay = (($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[module]') === TRUE) ? 'block' : 'none');
		?>
		<label style="display:<?php echo $labelDisplay ?>;">
			<input type="radio" name="VALUE[18]" value="module" class="bx-slide-toggle" <?php echo $checked ?>> 
			<strong>Slideshow über Slide-Module</strong> (verlinkte Bilder/Html/Video)
		</label>
		<div class="bx-slide-container" style="padding-left:16px;display:<?php echo $display ?>">
			<?php if ($hasSlides === FALSE) {
				echo rex_warning_block('Es sind momentan noch keine Slide-Inhalte angelegt!');
			} ?>
		</div>
	</div>
	<?php 
		// Options Perm
		if ($REX['USER']->isAdmin() === TRUE || $REX['USER']->hasPerm('bx_slider[options]') === TRUE) { 
			echo '<div class="bx-slider" style="display:block">';
		} else {
			echo '<div class="bx-slider" style="display:none">';
		}
	?>
		
		<p class="spacer"></p>
		<h3>Slider</h3>
		<p>
			<label class="inline-label">Modus</label>
			<select name="bx-mode">
				<option value="horizontal">Horizontal</option>
				<option value="vertical">Vertikal</option>
				<option value="fade">Überblenden (nicht in Verbindung mit Carousel/Ticker/Externen Videos)</option>
			</select>
		</p>
		<p>
			<label class="inline-label">Animationsverlauf</label>
			<select name="bx-easing">
				<option value="">Default</option>
				<option value="linear">Linear (CSS und jQuery)</option>
				<option value="ease">Ease (nur CSS)</option>
				<option value="ease-in">Ease-In (nur CSS)</option>
				<option value="ease-out">Ease-Out (nur CSS)</option>
				<option value="ease-in-out">Ease-In-Out (nur CSS)</option>
				<option value="swing">Swing (nur jQuery)</option>
			</select>
		</p>
		<p>
			<label class="inline-label" for="bx-useCSS">CSS Animation</label>
			<input type="checkbox" id="bx-useCSS" name="bx-useCSS" value="true"> (CSS nutzt HW-Beschleunigung, anderenfalls Animation über jQuery).
		</p>
		<p>
			<label class="inline-label" for="bx-speed">Geschwindigkeit</label>
			<input type="number" id="bx-speed" name="bx-speed" value="" min="0" placeholder="500"> ms
		</p>
		<p>
			<label class="inline-label" for="bx-responsive">Responsive</label>
			<input type="checkbox" id="bx-responsive" name="bx-responsive" value="true"> (Slider passt sich dem Viewport an)
		</p>
		<p class="spacer"></p>
		<p>
			<label class="inline-label" for="bx-preloadImages">Bilder-Preload</label>
			<select name="bx-preloadImages" id="bx-preloadImages">
				<option value="visible">Sichtbare</option>
				<option value="all">Alle</option>
			</select>
		</p>
		<p class="spacer"></p>
		<p>
			<label class="inline-label" for="bx-slideWidth">Slide-Breite (max.)</label>
			<input type="number" id="bx-slideWidth" name="bx-slideWidth" value="" min="0" title="slideWidth; default: 0"> px (0px = 100%, muß bei Carousel definiert sein)
		</p>
		<p>
			<label class="inline-label" for="bx-slideMargin">Slide-Abstand</label>
			<input type="number" id="bx-slideMargin" name="bx-slideMargin" value="" min="0" placeholder="0"> px
		</p>
		<p>
			<label class="inline-label" for="bx-startSlide">Start-Slide</label>
			<input type="number" id="bx-startSlide" name="bx-startSlide" min="0" value="" placeholder="0"> (0 basierend)
		</p>
		<p>
			<label class="inline-label" for="bx-randomStart">Start mit zufälligem Slide</label>
			<input type="checkbox" id="bx-randomStart" name="bx-randomStart" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-infiniteLoop">Loop</label>
			<input type="checkbox" id="bx-infiniteLoop" name="bx-infiniteLoop" value="true"> (unendlich sliden)
		</p>
		<p class="spacer"></p>
		<p>
			<label class="inline-label" for="bx-captions">Bildunterschriften anzeigen</label>
			<input type="checkbox" id="bx-captions" name="bx-captions" value="true"> 
			(ausgegeben werden die Beschreibung oder Titel der Bilder im Medienpool).
		</p>
		<p class="spacer"></p>
		<p>
			<label class="inline-label" for="bx-ticker">Im Ticker-Style anzeigen</label>
			<input type="checkbox" id="bx-ticker" name="bx-ticker" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-tickerHover">Bei MouseOver anhalten</label>
			<input type="checkbox" id="bx-tickerHover" name="bx-tickerHover" value="true">
		</p>

		<p class="spacer"></p>
		<h3>Automatik-Optionen</h3>
		<p>
			<label class="inline-label" for="bx-auto">Automatik aktivieren</label>
			<input type="checkbox" id="bx-auto" name="bx-auto" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-pause">Pause zwischen den Slides</label>
			<input type="number" id="bx-pause" name="bx-pause" value="" min="0"> ms
		</p>
		<p>
			<label class="inline-label" for="bx-autoStart">Automatisch Abspielen</label>
			<input type="checkbox" id="bx-autoStart" name="bx-autoStart" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-autoDirection">Animationsrichtung</label>
			<select name="bx-autoDirection" id="bx-autoDirection">
				<option value="next">Vorwärts</option>
				<option value="prev">Rückwärts</option>
			</select>
		</p>
		<p>
			<label class="inline-label" for="bx-autoHover">Bei Mouseover anhalten</label>
			<input type="checkbox" id="bx-autoHover" name="bx-autoHover" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-autoDelay">Startverzögerung</label>
			<input type="number" id="bx-autoDelay" name="bx-autoDelay" value="" min="0"> ms
		</p>
		<p>
			<label class="inline-label" for="bx-autoControls">Start/Pause-Buttons anzeigen</label>
			<input type="checkbox" id="bx-autoControls" name="bx-autoControls" value="true" title="autoControls; default: false">
		</p>
		<p>
			<label class="inline-label" for="bx-autoControlsCombine">Start/Pause wechselseitig anzeigen</label>
			<input type="checkbox" id="bx-autoControlsCombine" name="bx-autoControlsCombine" value="true" title="autoControlsCombine; default: false">
		</p>

		<p class="spacer"></p>
		<h3>Carousel-Optionen</h3>
		<p>
			<label class="inline-label" for="bx-minSlides">Mindestanzahl Bilder</label>
			<input type="number" id="bx-minSlides" name="bx-minSlides" value="" min="1" title="minSlides; default: 1">
		</p>
		<p>
			<label class="inline-label" for="bx-maxSlides">Maximalanzahl Bilder</label>
			<input type="number" id="bx-maxSlides" name="bx-maxSlides" value="" min="1" title="maxSlides; default: 1">
		</p>
		<p>
			<label class="inline-label" for="bx-moveSlides">Slides pro Animation</label>
			<input type="number" id="bx-moveSlides" name="bx-moveSlides" value="" min="0" title="moveSlides; default: 0">
		</p>

		<p class="spacer"></p>
		<h3>Pagination-Optionen</h3>
		<p>
			<label class="inline-label" for="bx-pager">Pagination anzeigen</label>
			<input type="checkbox" id="bx-pager" name="bx-pager" value="true">
		</p>
		<p>
			<label class="inline-label" for="bx-pagerType">Typ</label>
			<select name="bx-pagerType" id="bx-pagerType">
				<option value="full">Standard</option>
				<option value="short">Kurz (z.B. 1/5)</option>
			</select>
		</p>
		<p>
			<label class="inline-label" for="bx-pagerShortSeparator">Kurz-Pager-Separator</label>
			<input type="text" id="bx-pagerShortSeparator" name="bx-pagerShortSeparator" value="">
		</p>

		<p class="spacer"></p>
		<h3>Steuerungs-Optionen</h3>
		<p>
			<label class="inline-label" for="bx-controls">Buttons anzeigen</label>
			<input type="checkbox" id="bx-controls" name="bx-controls" value="true" title="controls; default: true">
		</p>
		<p>
			<label class="inline-label" for="bx-nextText">Text für "nächstes"</label>
			<input type="text" id="bx-nextText" name="bx-nextText" value="" title="nextText; default: 'Next'">
		</p>
		<p>
			<label class="inline-label" for="bx-prevText">Text für "vorheriges"</label>
			<input type="text" id="bx-prevText" name="bx-prevText" value="" title="prevText; default: 'Prev'">
		</p>
		<p>
			<label class="inline-label" for="bx-hideControlOnEnd">Slide-Buttons am Ende ausblenden</label>
			<input type="checkbox" id="bx-hideControlOnEnd" name="bx-hideControlOnEnd" value="true"> (nicht in Verbindung mit Loop)
		</p>

		<p class="spacer"></p>
		<h3><label><input type="checkbox" id="toggle-bx-config" name="VALUE[19]" value="1" <?php echo (('REX_VALUE[19]' === '1') ? 'checked' :'') ?>> 
			Konfiguration anzeigen</label></h3>
		<?php
			$class = (('REX_VALUE[19]' === '1') ? 'code' : 'code hidden');
			$out  = '<textarea id="bx-config" name="VALUE[20]" class="' . $class . '" style="width:100%;height:600px" readonly>';
			$out .= ('REX_VALUE[20]' === '') ? $REX['ADDON']['bx_slider']['OBJECT']->getConfigDefaultsAsJson() : 'REX_VALUE[20]';
			$out .= '</textarea>';
			echo $out;
		?>
		<p class="spacer"></p>
		<p><a href="index.php?page=bx_slider&subpage=help&chapter=options" target="bxSliderOptions">
				Dokumentation der bxSlider Options »</a>
		</p>
	<?php
		echo '</div>';
		echo '<script src="../files/addons/bx_slider/bxslider.backend.js"></script>';
	} else {
		echo rex_warning_block('Das bx_slider Addon muß installiert und aktiviert sein.');
	} ?>